#include <stdio.h>
#include <string.h>
#include <time.h>
#include <unistd.h>
#include <X11/Xlib.h>

extern Display *disp;
extern Window Root; 
extern Window win;
extern Visual *vis; 
extern int scr; 
extern unsigned int depth;
extern GC fg,bg;
extern int blk,wht;
extern int width,height;

extern Colormap cmap;
extern XColor darkgray;
extern XColor yellow;
extern XColor blue;
extern XColor outlines[32];

void SetupDisplay(void)
{
   XGCValues gcvals;

   if(!(disp=XOpenDisplay(NULL))) {
      perror("Cannot open display\n");
      exit(1);
   }

   Root=DefaultRootWindow(disp);
   scr=DefaultScreen(disp);
   depth=DefaultDepth(disp,scr);
   blk=BlackPixel(disp,scr);
   wht=WhitePixel(disp,scr);
   vis=DefaultVisual(disp,scr);
   fg=XCreateGC(disp,Root,(unsigned long)0,&gcvals);
   bg=XCreateGC(disp,Root,(unsigned long)0,&gcvals);
   XSetForeground(disp,fg,wht);
   XSetBackground(disp,bg,blk);
}

void OpenWindow(void)
{
   win=XCreateSimpleWindow(disp,Root,0,0,width,height,0,blk,blk);
   XSelectInput(disp,win, ButtonPressMask | ButtonMotionMask | ButtonReleaseMask);
   XMapWindow(disp,win);
   XSync(disp,False);
}

